# $CVSHeader: pal8e/src/mkpsv.sh,v 1.4 2005/02/15 01:10:26 indraneel Rel $

## make logfile for insightII to auto make psv files

logfiledir=wrk/pssd-out/0/
psvdir=psv/`hostname`/0/
tmpfile=psv`hostname`.log

rm -f $tmpfile

#for fname in `grep -l blue wrk/pssd-out/0/*.log`
for fname in `grep -l pruned wrk/pssd-dbg/0/*`
#for fname in `ls $logfiledir*.log`
  do
    fn=`basename $fname`
    id=`echo $fn | cut -f1 -d '.'`
    echo "Source_File $logfiledir$id.log" >> $tmpfile
    echo "Save_Folder * $psvdir$id.psv -Replace -Comment_Option" >> $tmpfile
    echo "Delete Object P_${id}_0" >> $tmpfile
    echo "Quit" >> $tmpfile
    tcsh -c "biosym -at < $tmpfile"
    rm -f $tmpfile
  done
